Bug 4493 - [Matrox/G450] No drm on Alpha with PCI G450.
Summary: [Matrox/G450] No drm on Alpha with PCI G450.
Status: RESOLVED FIXED
Alias: None
Product: DRI
Classification: Unclassified
Component: DRM/other (show other bugs)
Version: XOrg git
Hardware: Alpha Linux (All)
: high normal
Assignee: Default DRI bug account
QA Contact:
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2005-09-17 21:55 UTC by Laurens Vets
Modified: 2005-09-18 13:28 UTC (History)
0 users

See Also:
i915 platform:
i915 features:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Laurens Vets 2005-09-17 21:55:40 UTC
I'm trying to get drm working on an alpha personal workstation 500a.  I pulled
Xorg, Mesa and drm sources from CVS on September 14th.  Build everything by
following this guide: http://dri.freedesktop.org/wiki/Building, but drm did not
work.  When I start X, I get the following errors in my Xorg.log file:

(II) MGA(0): [drm] bpp: 32 depth: 24
(II) MGA(0): [drm] Sarea 2200+664: 2864
drmOpenDevice: node name is /dev/dri/card0
drmOpenDevice: open result is -1, (No such device or address)
drmOpenDevice: open result is -1, (No such device or address)
drmOpenDevice: Open failed
drmOpenDevice: node name is /dev/dri/card0
drmOpenDevice: open result is -1, (No such device or address)
drmOpenDevice: open result is -1, (No such device or address)
drmOpenDevice: Open failed
[drm] failed to load kernel module "mga"
(II) MGA(0): [drm] drmOpen failed
(EE) MGA(0): [drm] DRIScreenInit failed.  Disabling DRI.
(II) MGA(0): Using 2776 lines for offscreen memory.
(II) MGA(0): Using XFree86 Acceleration Architecture (XAA)
        Screen to screen bit blits
        Solid filled rectangles
        Solid filled trapezoids
        8x8 mono pattern filled rectangles
        8x8 mono pattern filled trapezoids
        Indirect CPU to Screen color expansion
        Screen to Screen color expansion
        Solid Lines
        Dashed Lines
        Scanline Image Writes
        Offscreen Pixmaps
        Setting up tile and stipple cache:
                32 128x128 slots
                19 256x256 slots
                5 512x512 slots
(==) MGA(0): Backing store disabled
(==) MGA(0): Silken mouse enabled
(II) MGA(0): Using overlay video
(WW) MGA(0): Direct rendering disabled
(WW) MGA(0): Option "ForcePCIMode" is not used

While in my /var/log/messages file, I get the following:

Sep 14 15:18:45 loek drm: Unknown symbol pci_find_class
Sep 14 15:18:45 loek mga: Unknown symbol drm_open
Sep 14 15:18:45 loek mga: Unknown symbol drm_fasync
Sep 14 15:18:45 loek mga: Unknown symbol drm_addbufs_agp
Sep 14 15:18:45 loek mga: Unknown symbol drm_poll
Sep 14 15:18:45 loek mga: Unknown symbol drm_bind_agp
Sep 14 15:18:45 loek mga: Unknown symbol drm_get_resource_len
Sep 14 15:18:45 loek mga: Unknown symbol drm_core_get_reg_ofs
Sep 14 15:18:45 loek mga: Unknown symbol drm_agp_info
Sep 14 15:18:45 loek mga: Unknown symbol drm_agp_enable
Sep 14 15:18:45 loek mga: Unknown symbol drm_irq_uninstall
Sep 14 15:18:45 loek mga: Unknown symbol drm_unbind_agp
Sep 14 15:18:45 loek mga: Unknown symbol drm_get_dev
Sep 14 15:18:45 loek mga: Unknown symbol drm_ioctl
Sep 14 15:18:45 loek mga: Unknown symbol drm_exit
Sep 14 15:18:45 loek mga: Unknown symbol drm_debug
Sep 14 15:18:45 loek mga: Unknown symbol drm_core_get_map_ofs
Sep 14 15:18:45 loek mga: Unknown symbol drm_init
Sep 14 15:18:45 loek mga: Unknown symbol drm_addmap
Sep 14 15:18:45 loek mga: Unknown symbol drm_free_agp
Sep 14 15:18:45 loek mga: Unknown symbol drm_get_resource_start
Sep 14 15:18:45 loek mga: Unknown symbol drm_vbl_send_signals
Sep 14 15:18:45 loek mga: Unknown symbol drm_cleanup_pci
Sep 14 15:18:45 loek mga: Unknown symbol drm_addbufs_pci
Sep 14 15:18:45 loek mga: Unknown symbol drm_mmap
Sep 14 15:18:45 loek mga: Unknown symbol drm_core_reclaim_buffers
Sep 14 15:18:45 loek mga: Unknown symbol drm_release
Sep 14 15:18:45 loek mga: Unknown symbol drm_alloc_agp
Sep 14 15:18:45 loek mga: Unknown symbol drm_agp_acquire
Sep 14 15:18:45 loek mga: Unknown symbol drm_agp_release
Sep 14 15:21:10 loek drm: Unknown symbol pci_find_class

Has anyone else seen this kind of behaviour?
Comment 1 Dave Airlie 2005-09-18 02:31:51 UTC
Okay I've fixed the DRM to not use pci_find_class on alpha as per what is in the
mainline kernel.
Comment 2 Laurens Vets 2005-09-18 02:57:33 UTC
Thanks ;) Is this in CVS so I can test this?
Comment 3 Dave Airlie 2005-09-18 18:16:37 UTC
nope I'm taking the whole DRM closed source and not releasing any more changes :-P

or else this change might be it.
http://cvs.freedesktop.org/dri/drm/linux-core/drm_fops.c?r1=1.37&r2=1.38

I'll close this bug refile if there is another bug as this is just a problem
with DRM on Alpha full stop.
Comment 4 Laurens Vets 2005-09-19 06:28:33 UTC
New bug filed: https://bugs.freedesktop.org/show_bug.cgi?id=4508


Use of freedesktop.org services, including Bugzilla, is subject to our Code of Conduct. How we collect and use information is described in our Privacy Policy.